diff --git python-webcolors/python-webcolors.spec python-webcolors/python-webcolors.spec.tmp
index 28395ced1e..5315d59f96 100644
--- python-webcolors/python-webcolors.spec
+++ python-webcolors/python-webcolors.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{srcname}
 Version:        1.7
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A library for working with HTML and CSS color names and value formats
 
 License:        BSD
@@ -37,9 +37,17 @@ BuildRequires:  python-sphinx_rtd_theme
 %endif
 
 
-%description
-%(cat %{SOURCE1})
+%global _description\
+%(cat %{SOURCE1})\
+
+
+%description %_description
 
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if %{has_py3}
 %package -n python3-%{srcname}
@@ -96,7 +104,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{srcname}
 %doc PKG-INFO LICENSE README.rst docs/_build/*
 %{python2_sitelib}/%{srcname}*
 
@@ -110,6 +118,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7-4
+- Python 2 subpackage renamed to python2-webcolors
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-weberror/python-weberror.spec python-weberror/python-weberror.spec.tmp
index aa420348aa..3312eb0539 100644
--- python-weberror/python-weberror.spec
+++ python-weberror/python-weberror.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-weberror
 Version:        0.13.1
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Web Error handling and exception catching middleware
 
 Group:          Development/Languages
@@ -27,14 +27,21 @@ BuildRequires:  python-pygments
 BuildRequires:  python-tempita
 BuildRequires:  python-simplejson
 
-Requires:       python-webob
-Requires:       python-tempita
-Requires:       python-pygments
+%global _description\
+WebError is WSGI middleware that performs error handling and exception\
+catching.
+
+%description %_description
+
+%package -n python2-weberror
+Summary: %summary
 Requires:       python-simplejson
+Requires:       python-pygments
+Requires:       python-tempita
+Requires:       python-webob
+%{?python_provide:%python_provide python2-weberror}
 
-%description
-WebError is WSGI middleware that performs error handling and exception
-catching.
+%description -n python2-weberror %_description
 
 %prep
 %setup -q -n WebError-%{version}
@@ -58,7 +65,7 @@ nosetests
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-weberror
 %defattr(-,root,root,-)
 %doc CHANGELOG LICENSE
 %{python_sitelib}/weberror/
@@ -66,6 +73,10 @@ nosetests
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13.1-5
+- Python 2 subpackage renamed to python2-weberror
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-webhelpers/python-webhelpers.spec python-webhelpers/python-webhelpers.spec.tmp
index bb6cb1cdc3..a2ba1b4e2c 100644
--- python-webhelpers/python-webhelpers.spec
+++ python-webhelpers/python-webhelpers.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-webhelpers
 Version: 1.3
-Release: 14%{?dist}
+Release: 15%{?dist}
 Summary: Helper library for aiding the writing of web templates in Python
 
 Group: Development/Languages
@@ -25,16 +25,24 @@ BuildArch: noarch
 BuildRequires: python-setuptools
 BuildRequires: python-nose python-routes python-simplejson python-webob
 BuildRequires: python-markupsafe >= 0.9.2
-Requires: python-routes >= 1.7, python-simplejson >= 1.4, python-markupsafe >= 0.9.2
 
-%description
-Web Helpers is a library of helper functions intended to make writing templates
-in web applications easier.
+%global _description\
+Web Helpers is a library of helper functions intended to make writing templates\
+in web applications easier.\
+\
+One of the sub-sections of Web Helpers contains a full port of the template\
+helpers that are provided by Ruby on Rails with slight adaptations on occasion\
+to accommodate for Python.\
+
 
-One of the sub-sections of Web Helpers contains a full port of the template
-helpers that are provided by Ruby on Rails with slight adaptations on occasion
-to accommodate for Python.
+%description %_description
 
+%package -n python2-webhelpers
+Summary: %summary
+Requires: python-routes >= 1.7, python-simplejson >= 1.4, python-markupsafe >= 0.9.2
+%{?python_provide:%python_provide python2-webhelpers}
+
+%description -n python2-webhelpers %_description
 
 %prep
 %setup -q -n WebHelpers-%{version}
@@ -59,13 +67,17 @@ PYTHONPATH=$(pwd) nosetests
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-webhelpers
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-15
+- Python 2 subpackage renamed to python2-webhelpers
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-webpy/python-webpy.spec python-webpy/python-webpy.spec.tmp
index 5693cacbd1..c2dcfe67c6 100644
--- python-webpy/python-webpy.spec
+++ python-webpy/python-webpy.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.37
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        A simple web framework for Python
 Group:          Development/Libraries
 
@@ -20,12 +20,20 @@ URL:            http://webpy.org/
 Source0:        http://webpy.org/static/%{srcname}-%{version}.tar.gz
 BuildRequires:  python2-devel
 BuildArch:      noarch
+
+%global _description\
+web.py is a web framework for python that is as simple as it is\
+powerful. web.py is in the public domain; you can use it for whatever\
+purpose with absolutely no restrictions.
+
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
 Requires:       python-cherrypy
+%{?python_provide:%python_provide python2-%{pkgname}}
 
-%description
-web.py is a web framework for python that is as simple as it is
-powerful. web.py is in the public domain; you can use it for whatever
-purpose with absolutely no restrictions. 
+%description -n python2-%{pkgname} %_description
 
 %prep
 %setup -q -n web.py-%{version}
@@ -42,13 +50,17 @@ echo "from cherrypy.wsgiserver import *" >> web/wsgiserver/__init__.py
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{pkgname}
 %doc PKG-INFO
 %{python_sitelib}/web
 %{python_sitelib}/%{srcname}-%{version}-py?.?.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.37-11
+- Python 2 subpackage renamed to python2-webpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-webtest/python-webtest.spec python-webtest/python-webtest.spec.tmp
index eaa629ea82..648c219147 100644
--- python-webtest/python-webtest.spec
+++ python-webtest/python-webtest.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-webtest
 Version:        2.0.27
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Helper to test WSGI applications
 
 Group:          Development/Languages
@@ -43,17 +43,24 @@ BuildRequires:  python3-webob
 BuildRequires:  python3-WSGIProxy2
 %endif
 
-Requires:       python-beautifulsoup4
-Requires:       python-six
-Requires:       python-waitress
-Requires:       python-webob
+%global _description\
+WebTest wraps any WSGI application and makes it easy to send test\
+requests to that application, without starting up an HTTP server.\
+\
+This provides convenient full-stack testing of applications written\
+with any WSGI-compatible framework.
 
-%description
-WebTest wraps any WSGI application and makes it easy to send test
-requests to that application, without starting up an HTTP server.
+%description %_description
 
-This provides convenient full-stack testing of applications written
-with any WSGI-compatible framework.
+%package -n python2-webtest
+Summary: %summary
+Requires:       python-webob
+Requires:       python-waitress
+Requires:       python-six
+Requires:       python-beautifulsoup4
+%{?python_provide:%python_provide python2-webtest}
+
+%description -n python2-webtest %_description
 
 %if 0%{?with_python3}
 %package -n python3-webtest
@@ -120,7 +127,7 @@ PYTHONPATH=$(pwd) nosetests-%{python3_version}
 popd
 %endif
 
-%files
+%files -n python2-webtest
 %doc docs/*
 %{python_sitelib}/webtest
 %{python_sitelib}/*.egg-info
@@ -133,6 +140,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.27-3
+- Python 2 subpackage renamed to python2-webtest
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.27-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-werkzeug/python-werkzeug.spec python-werkzeug/python-werkzeug.spec.tmp
index 7627c23608..4c0d96bcba 100644
--- python-werkzeug/python-werkzeug.spec
+++ python-werkzeug/python-werkzeug.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-werkzeug
 Version:        0.11.10
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        The Swiss Army knife of Python web development 
 
 Group:          Development/Libraries
@@ -25,24 +25,32 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-sphinx
 
-%description
-Werkzeug
-========
-
-Werkzeug started as simple collection of various utilities for WSGI
-applications and has become one of the most advanced WSGI utility
-modules.  It includes a powerful debugger, full featured request and
-response objects, HTTP utilities to handle entity tags, cache control
-headers, HTTP dates, cookie handling, file uploads, a powerful URL
-routing system and a bunch of community contributed addon modules.
-
-Werkzeug is unicode aware and doesn't enforce a specific template
-engine, database adapter or anything else.  It doesn't even enforce
-a specific way of handling requests and leaves all that up to the
-developer. It's most useful for end user applications which should work
-on as many server environments as possible (such as blogs, wikis,
-bulletin boards, etc.).
-
+%global _description\
+Werkzeug\
+========\
+\
+Werkzeug started as simple collection of various utilities for WSGI\
+applications and has become one of the most advanced WSGI utility\
+modules.  It includes a powerful debugger, full featured request and\
+response objects, HTTP utilities to handle entity tags, cache control\
+headers, HTTP dates, cookie handling, file uploads, a powerful URL\
+routing system and a bunch of community contributed addon modules.\
+\
+Werkzeug is unicode aware and doesn't enforce a specific template\
+engine, database adapter or anything else.  It doesn't even enforce\
+a specific way of handling requests and leaves all that up to the\
+developer. It's most useful for end user applications which should work\
+on as many server environments as possible (such as blogs, wikis,\
+bulletin boards, etc.).\
+
+
+%description %_description
+
+%package -n python2-werkzeug
+Summary: %summary
+%{?python_provide:%python_provide python2-werkzeug}
+
+%description -n python2-werkzeug %_description
 
 %package doc
 Summary:        Documentation for %{name}
@@ -146,7 +154,7 @@ popd
 %clean
 %{__rm} -rf %{buildroot}
 
-%files
+%files -n python2-werkzeug
 %defattr(-,root,root,-)
 %doc AUTHORS LICENSE PKG-INFO CHANGES
 %{python_sitelib}/*
@@ -168,6 +176,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11.10-7
+- Python 2 subpackage renamed to python2-werkzeug
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.10-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-which/python-which.spec python-which/python-which.spec.tmp
index 0cfc31af1e..e43d60ca33 100644
--- python-which/python-which.spec
+++ python-which/python-which.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-which
 Version:        1.1.0
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Small which replacement that can be used as a Python module
 
 Group:          Development/Languages
@@ -14,14 +14,22 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 
-%description
-which.py is a small which replacement. It has the following features:
+%global _description\
+which.py is a small which replacement. It has the following features:\
+\
+ * it can print all matches on the PATH;\
+ * it can note "near misses" on the PATH (e.g. files that match but\
+   may not, say, have execute permissions); and\
+ * it can be used as a Python module.\
 
- * it can print all matches on the PATH;
- * it can note "near misses" on the PATH (e.g. files that match but 
-   may not, say, have execute permissions); and
- * it can be used as a Python module.
 
+%description %_description
+
+%package -n python2-which
+Summary: %summary
+%{?python_provide:%python_provide python2-which}
+
+%description -n python2-which %_description
 
 %prep
 %setup -q -n which-%{version}
@@ -47,7 +55,7 @@ install -m0755 -p which-python $RPM_BUILD_ROOT%{_bindir}
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-which
 %defattr(-,root,root,-)
 %doc LICENSE.txt README.txt TODO.txt
 %{_bindir}/which-python
@@ -56,6 +64,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-19
+- Python 2 subpackage renamed to python2-which
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wifi/python-wifi.spec python-wifi/python-wifi.spec.tmp
index ff66a1a35d..4f5e8f2a14 100644
--- python-wifi/python-wifi.spec
+++ python-wifi/python-wifi.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-wifi
 Version:        0.5.0
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Python binding for the wireless extensions
 
 #python-wifi is licensed under LGPLv2+, however, the examples
@@ -13,10 +13,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Python-Wifi is a Python library that provides access to information about a
+%global _description\
+Python-Wifi is a Python library that provides access to information about a\
 W-LAN card's capabilities, like the wireless extensions written in C.
 
+%description %_description
+
+%package -n python2-wifi
+Summary: %summary
+%{?python_provide:%python_provide python2-wifi}
+
+%description -n python2-wifi %_description
+
 %prep
 %setup -q
 #Remove shebang
@@ -44,7 +52,7 @@ rm -rf %{buildroot}/usr/examples/
 mkdir -p %{buildroot}%{_mandir}/man8/
 mv %{buildroot}/usr/man/man8/iw*  %{buildroot}%{_mandir}/man8/
 
-%files
+%files -n python2-wifi
 %doc README docs/AUTHORS docs/BUGS docs/ChangeLog docs/LICENSE* docs/DEVEL.txt 
 %doc docs/TODO docs/ROADMAP docs/NEWS 
 %doc examples/*.py* tests
@@ -53,6 +61,10 @@ mv %{buildroot}/usr/man/man8/iw*  %{buildroot}%{_mandir}/man8/
 %{python_sitelib}/python_wifi*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-16
+- Python 2 subpackage renamed to python2-wifi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wikitools/python-wikitools.spec python-wikitools/python-wikitools.spec.tmp
index 27ef780ae0..5e61f8939d 100644
--- python-wikitools/python-wikitools.spec
+++ python-wikitools/python-wikitools.spec.tmp
@@ -7,7 +7,7 @@
 Summary: Python package for interacting with a MediaWiki wiki
 Name: python-%{shortname}
 Version: 1.3
-Release: 5%{?dist}
+Release: 6%{?dist}
 Url: https://github.com/alexz-enwp/%{shortname}
 Source0: https://github.com/alexz-enwp/%{shortname}/archive/%{version}/%{shortname}-%{version}.tar.gz
 Patch0: %{name}-oldversion.patch
@@ -15,14 +15,22 @@ License: GPLv3+
 Group: Development/Libraries
 BuildArch: noarch
 BuildRequires: python2-devel
-Requires: python
 
-%description
-A Python package for interacting with a MediaWiki wiki using the MediaWiki API.
-Designed for MediaWiki version 1.16 and higher, should work on 1.13, older
-versions may have bugs.
+%global _description\
+A Python package for interacting with a MediaWiki wiki using the MediaWiki API.\
+Designed for MediaWiki version 1.16 and higher, should work on 1.13, older\
+versions may have bugs.\
 The edit-API must be enabled on the site to use editing features.
 
+%description %_description
+
+%package -n python2-%{shortname}
+Summary: %summary
+Requires: python
+%{?python_provide:%python_provide python2-%{shortname}}
+
+%description -n python2-%{shortname} %_description
+
 %prep
 %setup -q -n %{shortname}-%{version}
 %patch0 -p1 -b .oldversion
@@ -33,12 +41,16 @@ The edit-API must be enabled on the site to use editing features.
 %install
 %{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT
 
-%files
+%files -n python2-%{shortname}
 %doc %{shortname}/COPYING README.md CHANGELOG
 %{python2_sitelib}/%{shortname}
 %{python2_sitelib}/%{shortname}-%{version}-py2.*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-6
+- Python 2 subpackage renamed to python2-wikitools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wokkel/python-wokkel.spec python-wokkel/python-wokkel.spec.tmp
index 5ecfc0c294..509c98b31f 100644
--- python-wokkel/python-wokkel.spec
+++ python-wokkel/python-wokkel.spec.tmp
@@ -1,7 +1,7 @@
 %global libname wokkel
 Name:           python-%{libname}
 Version:        0.7.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Enhancements to the Twisted XMPP protocol implementation
 
 Group:          Development/Languages
@@ -11,31 +11,39 @@ Source0:        http://wokkel.ik.nu/releases/%{version}/%{libname}-%{version}.ta
 
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools, python-twisted
-Requires:       python-twisted
 
-%description
-Wokkel is collection of enhancements on top of the Twisted networking
-framework, written in Python. It mostly provides a testing ground
-for enhancements to the Jabber/XMPP protocol implementation as found
-in Twisted Words, that are meant to eventually move there.
-
-Currently, Wokkel provides the following enhancements
-on top of Twisted Words:
-
-* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)
-  as so-called subprotocols.
-* XMPP Client and server-side component support, that eases development
-  and supports subprotocols.
-* Subprotocol implementations for:
-  o Generic presence, roster and message handling.
-  o Service Discovery (XEP-0030), service side.
-  o Publish-Subscribe (XEP-0060), client and service side.
-  o Software Version (XEP-0092), service side. 
-* Data format implementations for:
-  o Data Forms (XEP-0004)
-  o User Tune (XEP-0118)
-  o User Mood (XEP-0107) 
+%global _description\
+Wokkel is collection of enhancements on top of the Twisted networking\
+framework, written in Python. It mostly provides a testing ground\
+for enhancements to the Jabber/XMPP protocol implementation as found\
+in Twisted Words, that are meant to eventually move there.\
+\
+Currently, Wokkel provides the following enhancements\
+on top of Twisted Words:\
+\
+* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)\
+  as so-called subprotocols.\
+* XMPP Client and server-side component support, that eases development\
+  and supports subprotocols.\
+* Subprotocol implementations for:\
+  o Generic presence, roster and message handling.\
+  o Service Discovery (XEP-0030), service side.\
+  o Publish-Subscribe (XEP-0060), client and service side.\
+  o Software Version (XEP-0092), service side.\
+* Data format implementations for:\
+  o Data Forms (XEP-0004)\
+  o User Tune (XEP-0118)\
+  o User Mood (XEP-0107)\
+
+
+%description %_description
+
+%package -n python2-%{libname}
+Summary: %summary
+Requires:       python-twisted
+%{?python_provide:%python_provide python2-%{libname}}
 
+%description -n python2-%{libname} %_description
 
 %prep
 %setup -q -n %{libname}-%{version}
@@ -53,7 +61,7 @@ rm -rf %{buildroot}
 PYTHONPATH=`pwd` %{__python} wokkel/test/test_*.py
  
 
-%files
+%files -n python2-%{libname}
 %defattr(-,root,root,-)
 %doc LICENSE NEWS README doc/examples
 %{python_sitelib}/%{libname}
@@ -61,6 +69,10 @@ PYTHONPATH=`pwd` %{__python} wokkel/test/test_*.py
 %{python_sitelib}/twisted/plugins/server.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-9
+- Python 2 subpackage renamed to python2-wokkel
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wordpress-xmlrpc/python-wordpress-xmlrpc.spec python-wordpress-xmlrpc/python-wordpress-xmlrpc.spec.tmp
index d315d67567..720393415b 100644
--- python-wordpress-xmlrpc/python-wordpress-xmlrpc.spec
+++ python-wordpress-xmlrpc/python-wordpress-xmlrpc.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-wordpress-xmlrpc
 Version:        2.3
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        WordPress XML-RPC API Integration Library
 
 License:        BSD
@@ -20,17 +20,25 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-Python library to interface with a WordPress blog's XML-RPC API.
+%global _description\
+Python library to interface with a WordPress blog's XML-RPC API.\
+\
+An implementation of the standard WordPress API methods is provided, but the\
+library is designed for easy integration with custom XML-RPC API methods\
+provided by plugins.\
+\
+A set of classes are provided that wrap the standard WordPress data types\
+(e.g., Blog, Post, User). The provided method implementations return these\
+objects when possible.\
 
-An implementation of the standard WordPress API methods is provided, but the 
-library is designed for easy integration with custom XML-RPC API methods 
-provided by plugins.
 
-A set of classes are provided that wrap the standard WordPress data types 
-(e.g., Blog, Post, User). The provided method implementations return these 
-objects when possible.
+%description %_description
 
+%package -n python2-wordpress-xmlrpc
+Summary: %summary
+%{?python_provide:%python_provide python2-wordpress-xmlrpc}
+
+%description -n python2-wordpress-xmlrpc %_description
 
 %if 0%{?with_python3}
 %package -n python3-wordpress-xmlrpc
@@ -89,7 +97,7 @@ popd
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-wordpress-xmlrpc
 %doc LICENSE README.rst wp-config-sample.cfg
 %{python2_sitelib}/wordpress_xmlrpc
 %{python2_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python2_version}.egg-info
@@ -100,6 +108,10 @@ popd
 %{python3_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python3_version}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3-9
+- Python 2 subpackage renamed to python2-wordpress-xmlrpc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wrapt/python-wrapt.spec python-wrapt/python-wrapt.spec.tmp
index 696f763128..3c041d189c 100644
--- python-wrapt/python-wrapt.spec
+++ python-wrapt/python-wrapt.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-%{sname}
 Version:        1.10.10
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A Python module for decorators, wrappers and monkey patching
 
 License:        BSD
@@ -23,11 +23,19 @@ BuildRequires:  python2-devel
 BuildRequires:  python3-devel
 %endif
 
-%description
-The aim of the wrapt module is to provide a transparent object proxy
-for Python, which can be used as the basis for the construction of
+%global _description\
+The aim of the wrapt module is to provide a transparent object proxy\
+for Python, which can be used as the basis for the construction of\
 function wrappers and decorator functions.
 
+%description %_description
+
+%package -n python2-wrapt
+Summary: %summary
+%{?python_provide:%python_provide python2-wrapt}
+
+%description -n python2-wrapt %_description
+
 %if 0%{?with_docs}
 %package doc
 Summary:        Documentation for the wrapt module
@@ -82,7 +90,7 @@ popd
 %endif
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-wrapt
 %doc README.rst
 %license LICENSE
 %{python2_sitearch}/%{sname}
@@ -102,6 +110,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.10.10-3
+- Python 2 subpackage renamed to python2-wrapt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.10-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wsgilog/python-wsgilog.spec python-wsgilog/python-wsgilog.spec.tmp
index 9675a4305b..720b1c8bec 100644
--- python-wsgilog/python-wsgilog.spec
+++ python-wsgilog/python-wsgilog.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-wsgilog
 Version:        0.3
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        WSGI logging and event reporting middleware
 
 License:        BSD
@@ -11,11 +11,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Supports logging events in WSGI applications to STDOUT, time rotated log 
-files, email, syslog, and web servers. Also supports catching and sending 
+%global _description\
+Supports logging events in WSGI applications to STDOUT, time rotated log\
+files, email, syslog, and web servers. Also supports catching and sending\
 HTML-formatted exception tracebacks to a web browser for debugging.
 
+%description %_description
+
+%package -n python2-wsgilog
+Summary: %summary
+%{?python_provide:%python_provide python2-wsgilog}
+
+%description -n python2-wsgilog %_description
+
 %prep
 %setup -qn wsgilog-%{version}
 
@@ -29,11 +37,15 @@ rm -rf $RPM_BUILD_ROOT
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-wsgilog
 %doc
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-6
+- Python 2 subpackage renamed to python2-wsgilog
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-WSGIProxy2/python-WSGIProxy2.spec python-WSGIProxy2/python-WSGIProxy2.spec.tmp
index 92fd71e647..184038b52d 100644
--- python-WSGIProxy2/python-WSGIProxy2.spec
+++ python-WSGIProxy2/python-WSGIProxy2.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.4.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        WSGI Proxy that supports several HTTP backends
 
 License:        MIT
@@ -21,12 +21,20 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
  
-Requires:       python-webob
-Requires:       python-six
 
-%description
+%global _description\
 WSGI Proxy that supports several HTTP backends.
 
+%description %_description
+
+%package -n python2-wsgiproxy2
+Summary: %summary
+Requires:       python-six
+Requires:       python-webob
+%{?python_provide:%python_provide python2-wsgiproxy2}
+
+%description -n python2-wsgiproxy2 %_description
+
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
 Summary:        WSGI Proxy that supports several HTTP backends
@@ -73,7 +81,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-wsgiproxy2
 %doc README_fixt.py README.rst
 %{python2_sitelib}/%{package_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -87,6 +95,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-9
+- Python 2 subpackage renamed to python2-wsgiproxy2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wsgiproxy/python-wsgiproxy.spec python-wsgiproxy/python-wsgiproxy.spec.tmp
index d6439a297c..cdf3110a4c 100644
--- python-wsgiproxy/python-wsgiproxy.spec
+++ python-wsgiproxy/python-wsgiproxy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-wsgiproxy
 Version:        0.2.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        HTTP proxying tools for WSGI apps
 
 Group:          Development/Languages
@@ -16,13 +16,21 @@ BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-paste
-Requires:       python-paste-deploy
 
-%description
-WSGIProxy gives tools to proxy arbitrary(ish) WSGI requests to other
-processes over HTTP.
+%global _description\
+WSGIProxy gives tools to proxy arbitrary(ish) WSGI requests to other\
+processes over HTTP.\
+
+
+%description %_description
 
+%package -n python2-wsgiproxy
+Summary: %summary
+Requires:       python-paste-deploy
+Requires:       python-paste
+%{?python_provide:%python_provide python2-wsgiproxy}
+
+%description -n python2-wsgiproxy %_description
 
 %prep
 %setup -q -n WSGIProxy-%{version}
@@ -41,7 +49,7 @@ processes over HTTP.
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-wsgiproxy
 %defattr(-,root,root,-)
 #%doc docs/*
 %{python_sitelib}/wsgiproxy
@@ -49,6 +57,10 @@ processes over HTTP.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.2-13
+- Python 2 subpackage renamed to python2-wsgiproxy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
